## proftmb 1.1.12

=== input/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# input/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/proftmb
pkgincludedir = $(includedir)/proftmb
pkglibdir = $(libdir)/proftmb
pkglibexecdir = $(libexecdir)/proftmb
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = input
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkgdatadir)"
DATA = $(pkgdata_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /mnt/home/lkajan/project/rostlab/proftmb/branches/hhomp/missing --run aclocal-1.11
AMTAR = ${SHELL} /mnt/home/lkajan/project/rostlab/proftmb/branches/hhomp/missing --run tar
AUTOCONF = ${SHELL} /mnt/home/lkajan/project/rostlab/proftmb/branches/hhomp/missing --run autoconf
AUTOHEADER = ${SHELL} /mnt/home/lkajan/project/rostlab/proftmb/branches/hhomp/missing --run autoheader
AUTOMAKE = ${SHELL} /mnt/home/lkajan/project/rostlab/proftmb/branches/hhomp/missing --run automake-1.11
AWK = gawk
CC = g++
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = g++ -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wall -O2 -DNDEBUG
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"proftmb\" -DVERSION=\"1.1\" -DHAVE_LIBOPT=1 -DHAVE_LIBM=1 -DHAVE_LIBGSLCBLAS=1 -DHAVE_LIBGSL=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INCLUDES = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lgsl -lgslcblas -lm -lopt 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /mnt/home/lkajan/project/rostlab/proftmb/branches/hhomp/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = proftmb
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 1.1
abs_builddir = /mnt/home/lkajan/project/rostlab/proftmb/branches/hhomp/input
abs_srcdir = /mnt/home/lkajan/project/rostlab/proftmb/branches/hhomp/input
abs_top_builddir = /mnt/home/lkajan/project/rostlab/proftmb/branches/hhomp
abs_top_srcdir = /mnt/home/lkajan/project/rostlab/proftmb/branches/hhomp
ac_ct_CC = g++
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /mnt/home/lkajan/project/rostlab/proftmb/branches/hhomp/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

#pkgdata_DATA = Architecture 1a0s_P.Q 1af6_A.Q Label2Arch\
#	Label2Label	StateRedux2 StateRedux3 StateRedux4 TiedStates\
#	TrainingSeqs options NCBIGnegComp
pkgdata_DATA = *
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu input/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu input/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-pkgdataDATA: $(pkgdata_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(pkgdatadir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)"
	@list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgdatadir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgdatadir)" || exit $$?; \
	done

uninstall-pkgdataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(pkgdatadir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(pkgdatadir)" && rm -f $$files
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(pkgdatadir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-pkgdataDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-pkgdataDATA

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-pkgdataDATA install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
	uninstall-am uninstall-pkgdataDATA


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## proftmb 1.1.10

=== debian/changelog ===
proftmb (1.1.10-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 20 Feb 2012 17:27:43 +0100

proftmb (1.1.9-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 17 Feb 2012 11:43:50 +0100

proftmb (1.1.8-1) unstable; urgency=low

  * Initial release (Closes: #659964)

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 15 Feb 2012 12:46:59 +0100

=== debian/control ===
Source: proftmb
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0), autotools-dev, help2man, libgsl0-dev, opt
Standards-Version: 3.9.2
Homepage: http://rostlab.org/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/rostlab/proftmb/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/rostlab/proftmb/trunk/

Package: proftmb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pp-popularity-contest
Description: per-residue prediction of bacterial transmembrane beta barrels
 proftmb predicts transmembrane beta-barrel (TMB) proteins in Gram-negative
 bacteria.
 .
 For each query protein, proftmb provides both a Z-value indicating that the
 protein actually contains a membrane barrel, and a four-state per-residue
 labeling of upward- and downward-facing strands, periplasmic hairpins and
 extracellular loops.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -Xexample.Q

=== debian/watch ===
version=3

ftp://rostlab.org/proftmb/proftmb-([0-9.]+)\.tar\.gz debian uupdate

## proftmb 1.1.12

=== debian/changelog ===
proftmb (1.1.12-7) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * drop debug package since it is autogenerated
  * hardening=+all
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 16 Nov 2017 16:21:43 +0100

proftmb (1.1.12-6) unstable; urgency=medium

  * Team upload.
  * add allow-stderr restriction to debian/tests/control, since proftmb writes
    some output messages (not errors) to stderr. Other solution would be to run
    proftmb with --quiet flag - but this is more informative.

 -- Tatiana Malygina <merlettaia@gmail.com>  Sat, 16 Jul 2016 08:37:21 +0300

proftmb (1.1.12-5) unstable; urgency=medium

  * Team upload.
  * d/p/gcc-6: Fix compilation with gcc-6, Closes:  #811830

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 04 Jul 2016 12:39:37 +0000

proftmb (1.1.12-4) unstable; urgency=medium

  [ Tatiana Malygina ]
  * Team upload.
  * Add testsuite + README.test + docs file
  * cme fix dpkg-control
  * fix in testsuite control file (removed accidentally added allow-stderr 
    restriction)

  [ Andreas Tille ]
  * Secure Vcs-Browser
  * Better hardening

 -- Tatiana Malygina <merlettaia@gmail.com>  Tue, 21 Jun 2016 08:29:42 +0300

proftmb (1.1.12-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807222

  [ Andreas Tille ]
  * cme fix dpkg-control
  * DEP5 fix

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2015 12:48:15 +0100

proftmb (1.1.12-2) unstable; urgency=medium

  [ Andreas Tille ]
  * moved debian/upstream to debian/upstream/metadata

  [ Cyril Brulebois ]
  * Replace 'dnl' with '#' in src/Makefile.{am,in} (Closes: #750165).

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Priority: optional
  * debhelper 9
  * simplify debian/rules

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jun 2014 20:42:10 +0200

proftmb (1.1.12-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 20 Sep 2012 17:54:30 +0200

proftmb (1.1.11-1) unstable; urgency=low

  * Added debug package.
  * New upstream release.

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 04 Sep 2012 15:45:32 +0200

=== debian/control ===
Source: proftmb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               help2man,
               libgsl-dev,
               opt
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/proftmb.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/proftmb.git
Homepage: http://rostlab.org/

Package: proftmb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: pp-popularity-contest
Description: per-residue prediction of bacterial transmembrane beta barrels
 proftmb predicts transmembrane beta-barrel (TMB) proteins in Gram-negative
 bacteria.
 .
 For each query protein, proftmb provides both a Z-value indicating that the
 protein actually contains a membrane barrel, and a four-state per-residue
 labeling of upward- and downward-facing strands, periplasmic hairpins and
 extracellular loops.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_compress:
	dh_compress -Xexample.Q

=== debian/tests/control ===
Tests: installation-test
Depends: @
Restrictions: allow-stderr
